import 'package:electronic_assistant/utils/expand.dart';
import 'package:flutter/cupertino.dart';

Decoration getAIBtnDecoration(double radius) {
  return BoxDecoration(
    borderRadius: BorderRadius.circular(radius),
    gradient: RadialGradient(
        center: Alignment.centerRight,
        colors: ["#E7EEFF".toColor(), "#F4E8FF".toColor()],
        radius: 2),
  );
}

Decoration getPrimaryBtnDecoration(double radius) {
  return BoxDecoration(
    gradient: LinearGradient(
      colors: ['#9075FF'.toColor(), '#4366FF'.toColor()],
      stops: const [0.3, 1.0],
      begin: Alignment.topLeft,
      end: Alignment.bottomRight,
    ),
    borderRadius: BorderRadius.circular(radius),
  );
}

Decoration getCommonDecoration(double radius) {
  return BoxDecoration(
    gradient: LinearGradient(
      colors: ['#6177F2'.toColor(), '#8B9DFF'.toColor()],
      stops: const [0, 1.0],
    ),
    borderRadius: BorderRadius.circular(radius),
  );
}
